Index: extensions/music_player/template/style/Pure_autumn/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/Pure_autumn/lecteur.conf.php	(revision 6885)
+++ extensions/music_player/template/style/Pure_autumn/lecteur.conf.php	(revision 6885)
@@ -0,0 +1,7 @@
+<?php
+$BACK_COLOR='0x3f540f';
+$FRONT_COLOR='0xffffff';
+$LIGHT_COLOR='0xedf2f2';
+$STYLE_FILE='template/style/Pure_autumn/lecteur.css';
+$TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
+?>
Index: extensions/music_player/template/style/Pure_autumn/lecteur.css
===================================================================
--- extensions/music_player/template/style/Pure_autumn/lecteur.css	(revision 6885)
+++ extensions/music_player/template/style/Pure_autumn/lecteur.css	(revision 6885)
@@ -0,0 +1,208 @@
+#autre_content
+{
+width:100%;
+padding:0;
+margin:0;
+  }
+#content
+{
+margin-left: auto;
+margin-bottom:1em;
+width:100%;
+border:none;
+min-height:inherit;
+  }
+#the_page
+{
+width:100%;
+border:none;
+  }
+body {
+min-width: inherit;
+width:100%;
+}
+#cache
+{
+padding:5px
+}
+#close_button
+{
+	margin-right:10px;
+	margin-left:90%;
+}
+#table_content
+{
+	padding:15px;
+}
+#section_up
+{
+	padding-top:5px;
+	text-align:right;
+}
+#section_up A
+{
+	text-decoration:none;
+	border:none;
+}
+
+
+
+
+/* _________________________________ */
+body, #autre_content, #the_page
+{
+	background:none!important;
+}
+#table_content, #section_bottom, #section_bottom_left, #section_bottom_right, #section_in, #section_right, #section_left, #section_up, #section_up_left, #section_up_right {
+ background:none!important;
+}
+
+tml, body, div, span, applet, object, iframe,
+h1, h2, h3, h4, h5, h6, p, blockquote, pre,
+a, abbr, acronym, address, big, cite, code,
+del, dfn, em, font, img, ins, kbd, q, s, samp,
+small, strike, strong, sub, sup, tt, var,
+b, u, i, center,
+dl, dt, dd, ol, ul, li,
+fieldset, form, label, legend,
+table, caption, tbody, tfoot, thead, tr, th, td {
+	margin: 0;
+	padding: 0;
+	border: 0;
+	outline: 0;
+	font-size: 100%;
+	vertical-align: baseline;
+	background: transparent;
+}
+body {
+	line-height: 1;
+}
+ol, ul {
+	list-style: none;
+}
+blockquote, q {
+	quotes: none;
+}
+
+/* remember to define focus styles! */
+:focus {
+	outline: 0;
+}
+
+/* remember to highlight inserts somehow! */
+ins {
+	text-decoration: none;
+}
+del {
+	text-decoration: line-through;
+}
+
+/* tables still need 'cellspacing="0"' in the markup */
+table {
+	border-collapse: collapse;
+	border-spacing: 0;
+}
+
+
+/* _________________________________ */
+
+
+
+
+
+
+
+
+
+
+/* text color */
+BODY
+{
+color:#696969;
+font-family:"Lucida Grande",Tahoma,Arial,Verdana,sans-serif;
+}
+/* links */
+A, INPUT.rateButton {
+    color: #005e89;
+    background: transparent;
+}
+
+A:hover, INPUT.rateButton:hover {
+font-weight:bold;
+color:#005E89;
+}
+
+/* positionnement */
+#menubar DL, #menubar DT, #the_page, BODY {
+	margin: 0px;
+	padding: 0px;
+}
+
+/* backgrounds */
+BODY {
+  background-color: #f5f5f5;	
+}
+
+.header_notes{
+  background-color: #CAD8E1;
+}
+
+/*       contenu  ************/
+
+BODY#theAboutPage #content{
+width:800px ;
+margin-left: auto;
+margin-right: auto;
+}
+.titrePage H2 {
+border-bottom:1px dashed #BBBBBB;
+color:#222222;
+font-weight:bold;
+}
+
+#autre_content {
+padding-bottom:2em;
+padding-top:2em;
+font-size:1.5em;
+color:#000000;
+
+}
+#content, .content {
+  background-color: #fff!important;
+border-color:#fff #DEDEDE #DEDEDE #fff!important;
+border-style:none solid solid none!important;
+border-width:medium 1px 1px medium!important;
+ background-image: url(images/fadetree.png)!important;
+ background-repeat:no-repeat!important;
+ background-position:bottom left!important;
+}
+
+
+
+/***                   catégories            **********/
+
+.titrePage h2 {
+	margin-bottom: 20px;
+	}
+
+/* others */
+.pleaseNote {
+    background-color: #9c9c9c;
+    color: #ffff99;
+    padding: 1ex;
+    font-weight: bold;
+}
+#copyright {
+	width:800px;
+	height:20px;
+	background-image: url(images/footer.jpg);
+	background-position:bottom;
+	background-repeat:no-repeat;
+	padding-top:180px;
+	margin: 0px;
+	color:#FFFFFF;
+	float:right;
+}
+#copyright A, #copyright A:hover {
+	color:#f5f5f5;
+}
Index: extensions/music_player/template/style/Pure_clear_blue/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/Pure_clear_blue/lecteur.conf.php	(revision 6885)
+++ extensions/music_player/template/style/Pure_clear_blue/lecteur.conf.php	(revision 6885)
@@ -0,0 +1,7 @@
+<?php
+$BACK_COLOR='0xffffff';
+$FRONT_COLOR='0x005E89';
+$LIGHT_COLOR='0x005E89';
+$STYLE_FILE='template/style/Pure_clear_blue/lecteur.css';
+$TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
+?>
Index: extensions/music_player/template/style/Pure_clear_blue/lecteur.css
===================================================================
--- extensions/music_player/template/style/Pure_clear_blue/lecteur.css	(revision 6885)
+++ extensions/music_player/template/style/Pure_clear_blue/lecteur.css	(revision 6885)
@@ -0,0 +1,115 @@
+#autre_content
+{
+width:100%;
+padding:0;
+margin:0;
+}
+#content
+{
+margin-left: auto;
+margin-bottom:1em;
+width:100%;
+border:none;
+  }
+#the_page
+{
+width:100%;
+border:none;
+  }
+body {
+min-width: inherit;
+width:100%;
+}
+#cache
+{
+padding:5px
+}
+#close_button
+{
+	margin-right:10px;
+	margin-left:90%;
+}
+#table_content
+{
+	padding:15px;
+}
+#section_up
+{
+	padding-top:5px;
+	text-align:right;
+}
+#section_up A
+{
+	text-decoration:none;
+	border:none;
+}
+/* backgrounds */
+BODY, #autre_content, #content, .content, #the_page
+{
+	background:none!important;
+}
+#section_up_right{
+ background-image: url(images/content_top_right.jpg);
+ background-repeat:no-repeat;
+ background-position:bottom left;
+ width:22px;
+ height:14px;
+}
+#section_up_left{
+ background-image: url(images/content_top_left.jpg);
+  background-position:bottom right;
+  background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_up{
+ background-image: url(images/content_top_backg.jpg);
+   background-position:bottom;
+   background-repeat: repeat-x;
+   height:14px;
+}
+
+#section_in, #section_right, #section_left {
+	background-image: url(images/content_backg.jpg)!important;
+	background-repeat:repeat-x;
+	background-position:top;
+	background-color:#c4cbd3;
+}
+
+#section_bottom_right{
+ background-image: url(images/content_bottom_right.jpg);
+ background-position:top left;
+ background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_bottom_left{
+ background-image: url(images/content_bottom_left.jpg);
+ background-position:top right;
+ background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_bottom{
+ background-image: url(images/content_bottom_backg.jpg);
+ background-position:top;
+   background-repeat: repeat-x;
+  height:14px;
+}
+/*_____________*/
+
+BODY
+{
+color:#696969;
+font-family:"Lucida Grande",Tahoma,Arial,Verdana,sans-serif;
+}
+/* links */
+A, INPUT.rateButton {
+    color: #005e89;
+    background: transparent;
+}
+
+A:hover, INPUT.rateButton:hover {
+    color: #858460;
+}
+
Index: extensions/music_player/template/style/Pure_green_nature/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/Pure_green_nature/lecteur.conf.php	(revision 6885)
+++ extensions/music_player/template/style/Pure_green_nature/lecteur.conf.php	(revision 6885)
@@ -0,0 +1,7 @@
+<?php
+$BACK_COLOR='0x3f540f';
+$FRONT_COLOR='0xffffff';
+$LIGHT_COLOR='0xedf2f2';
+$STYLE_FILE='template/style/Pure_green_nature/lecteur.css';
+$TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
+?>
Index: extensions/music_player/template/style/Pure_green_nature/lecteur.css
===================================================================
--- extensions/music_player/template/style/Pure_green_nature/lecteur.css	(revision 6885)
+++ extensions/music_player/template/style/Pure_green_nature/lecteur.css	(revision 6885)
@@ -0,0 +1,126 @@
+#autre_content
+{
+width:100%;
+padding:0;
+margin:0;
+}
+#content
+{
+margin-left: auto;
+margin-bottom:1em;
+width:100%;
+border:none;
+  }
+#the_page
+{
+width:100%;
+border:none;
+  }
+body {
+min-width: inherit;
+width:100%;
+}
+#cache
+{
+padding:5px
+}
+#close_button
+{
+	margin-right:10px;
+	margin-left:90%;
+}
+#table_content
+{
+	padding:15px;
+}
+#section_up
+{
+	padding-top:5px;
+	text-align:right;
+}
+#section_up A
+{
+	text-decoration:none;
+	border:none;
+}
+
+BODY, H1, H2, H3, DT,
+INPUT.rateButtonSelected  {
+  color:#B0CA00;
+}
+/* links */
+A, INPUT.rateButton {
+    color: #B0CA00;
+    background: transparent;
+}
+
+A:hover, INPUT.rateButton:hover {
+    color: #D7DC76;
+}
+
+/* backgrounds */
+BODY, #autre_content, #content, .content, #the_page
+{
+	background:none!important;
+}
+/* backgrounds */
+BODY {
+  background-color: #aacb87!important;	
+}
+
+#section_in, #section_right, #imageToolBar, #admin_content {
+  background-color: #76964B!important;
+}
+
+
+
+
+#section_up_right{
+ background-image: url(images/content_top_right.jpg);
+ background-repeat:no-repeat;
+ background-position:bottom left;
+ width:22px;
+ height:14px;
+}
+#section_up_left{
+ background-image: url(images/content_top_left.jpg);
+  background-position:bottom right;
+  background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_up{
+ background-image: url(images/content_top_backg.jpg);
+   background-position:bottom;
+   background-repeat: repeat-x;
+   height:14px;
+}
+
+#section_in, #section_right, #section_left {
+	background-image: url(images/content_backg.jpg)!important;
+	background-repeat:repeat-x;
+	background-position:top;
+	background-color:#c4cbd3;
+}
+
+#section_bottom_right{
+ background-image: url(images/content_bottom_right.jpg);
+ background-position:top left;
+ background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_bottom_left{
+ background-image: url(images/content_bottom_left.jpg);
+ background-position:top right;
+ background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_bottom{
+ background-image: url(images/content_bottom_backg.jpg);
+ background-position:top;
+   background-repeat: repeat-x;
+  height:14px;
+}
+
Index: extensions/music_player/template/style/Pure_grey_light/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/Pure_grey_light/lecteur.conf.php	(revision 6885)
+++ extensions/music_player/template/style/Pure_grey_light/lecteur.conf.php	(revision 6885)
@@ -0,0 +1,7 @@
+<?php
+$BACK_COLOR='0x474747';
+$FRONT_COLOR='0xffffff';
+$LIGHT_COLOR='0xe8e3dc';
+$STYLE_FILE='template/style/Pure_grey_light/lecteur.css';
+$TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
+?>
Index: extensions/music_player/template/style/Pure_grey_light/lecteur.css
===================================================================
--- extensions/music_player/template/style/Pure_grey_light/lecteur.css	(revision 6885)
+++ extensions/music_player/template/style/Pure_grey_light/lecteur.css	(revision 6885)
@@ -0,0 +1,121 @@
+#autre_content {
+	width:100%;
+	padding:0;
+	margin:0;
+}
+#content {
+	margin-left: auto;
+	margin-bottom:1em;
+	width:100%;
+	border:none;
+}
+#the_page {
+	width:100%;
+	border:none;
+}
+body {
+	min-width: inherit;
+	width:100%;
+}
+#cache {
+	padding:5px
+}
+#close_button {
+	display:block;
+	float:right;
+}
+#table_content {
+	padding:15px;
+}
+#section_up {
+	padding-top:5px;
+	text-align:right;
+}
+#section_up A {
+	text-decoration:none;
+	border:none;
+}
+#copyright {
+	margin-left:5%;
+	margin-right:5%;
+}
+BODY, H1, H3, DT,
+INPUT.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
+  color:#e0e0e0;
+}
+/* links */
+A, INPUT.rateButton {
+  color: #FFFFFF;
+}
+
+A:hover {
+  color: #CCCCCC;
+}
+/* backgrounds */
+BODY, #autre_content, #content, .content, #the_page {
+	background:none!important;
+}
+/* backgrounds */
+BODY, #content {
+  background-color: #414141!important;
+}
+
+/* backgrounds menu */
+
+#section_up_right {
+	background-image: url(images/c2_haut_droit.jpg);
+	background-position:bottom left;
+	background-repeat:no-repeat;
+	width:15px;
+	 height:32px;
+}
+#section_up_left {
+	background-image: url(images/c2_haut_gauche.jpg);
+	background-position:bottom right;
+	background-repeat:no-repeat;
+	width:15px;
+	 height:32px;
+}
+#section_up {
+ background-image: url(images/c2_haut_milieu.jpg);
+ background-position:bottom;
+ background-repeat:repeat-x;
+	 height:32px;
+}
+
+#section_in {
+	background-color:#676767;
+}
+#section_left {
+ background-image: url(images/c2_milieu_gauche.jpg);
+ background-position:right;
+ background-repeat:repeat-y;
+	width:15px;
+}
+ #section_right {
+ background-image: url(images/c2_milieu_droit.jpg);
+ background-position:left;
+ background-repeat:repeat-y;
+	width:15px;
+	background-color:transparent;
+}
+#section_bottom_right {
+ background-image: url(images/c2_bas_droit.jpg);
+ background-position:top left;
+ background-repeat:no-repeat;
+ width:15px;
+ height:15px;
+}
+#section_bottom_left {
+ background-image: url(images/c2_bas_gauche.jpg);
+ background-position:top right;
+ background-repeat:no-repeat;
+ width:15px;
+ height:15px;
+}
+#section_bottom {
+ background-image: url(images/c2_bas_milieu.jpg);
+ background-position:top;
+ background-repeat:repeat-x;
+  height:15px;
+}
Index: extensions/music_player/template/style/Pure_grey_plastic/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/Pure_grey_plastic/lecteur.conf.php	(revision 6885)
+++ extensions/music_player/template/style/Pure_grey_plastic/lecteur.conf.php	(revision 6885)
@@ -0,0 +1,7 @@
+<?php
+$BACK_COLOR='0x474747';
+$FRONT_COLOR='0xffffff';
+$LIGHT_COLOR='0xe8e3dc';
+$STYLE_FILE='template/style/Pure_grey_plastic/lecteur.css';
+$TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
+?>
Index: extensions/music_player/template/style/Pure_grey_plastic/lecteur.css
===================================================================
--- extensions/music_player/template/style/Pure_grey_plastic/lecteur.css	(revision 6885)
+++ extensions/music_player/template/style/Pure_grey_plastic/lecteur.css	(revision 6885)
@@ -0,0 +1,121 @@
+#autre_content {
+	width:100%;
+	padding:0;
+	margin:0;
+}
+#content {
+	margin-left: auto;
+	margin-bottom:1em;
+	width:100%;
+	border:none;
+}
+#the_page {
+	width:100%;
+	border:none;
+}
+body {
+	min-width: inherit;
+	width:100%;
+}
+#cache {
+	padding:5px
+}
+#close_button {
+	display:block;
+	float:right;
+}
+#table_content {
+	padding:15px;
+}
+#section_up {
+	padding-top:5px;
+	text-align:right;
+}
+#section_up A {
+	text-decoration:none;
+	border:none;
+}
+#copyright {
+	margin-left:5%;
+	margin-right:5%;
+}
+BODY, H1, H3, DT,
+INPUT.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
+  color:#e0e0e0;
+}
+/* links */
+A, INPUT.rateButton {
+  color: #FFFFFF;
+}
+
+A:hover {
+  color: #CCCCCC;
+}
+/* backgrounds */
+BODY, #autre_content, #content, .content, #the_page {
+	background:none!important;
+}
+/* backgrounds */
+BODY, #content {
+  background-color: #414141!important;
+}
+
+/* backgrounds menu */
+
+#section_up_right {
+	background-image: url(images/c2_haut_droit.jpg);
+	background-position:bottom left;
+	background-repeat:no-repeat;
+	width:15px;
+	 height:32px;
+}
+#section_up_left {
+	background-image: url(images/c2_haut_gauche.jpg);
+	background-position:bottom right;
+	background-repeat:no-repeat;
+	width:15px;
+	 height:32px;
+}
+#section_up {
+ background-image: url(images/c2_haut_milieu.jpg);
+ background-position:bottom;
+ background-repeat:repeat-x;
+	 height:32px;
+}
+
+#section_in {
+	background-color:#676767;
+}
+#section_left {
+ background-image: url(images/c2_milieu_gauche.jpg);
+ background-position:right;
+ background-repeat:repeat-y;
+	width:15px;
+}
+ #section_right {
+ background-image: url(images/c2_milieu_droit.jpg);
+ background-position:left;
+ background-repeat:repeat-y;
+	width:15px;
+	background-color:transparent;
+}
+#section_bottom_right {
+ background-image: url(images/c2_bas_droit.jpg);
+ background-position:top left;
+ background-repeat:no-repeat;
+ width:15px;
+ height:15px;
+}
+#section_bottom_left {
+ background-image: url(images/c2_bas_gauche.jpg);
+ background-position:top right;
+ background-repeat:no-repeat;
+ width:15px;
+ height:15px;
+}
+#section_bottom {
+ background-image: url(images/c2_bas_milieu.jpg);
+ background-position:top;
+ background-repeat:repeat-x;
+  height:15px;
+}
Index: extensions/music_player/template/style/Pure_sky/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/Pure_sky/lecteur.conf.php	(revision 6885)
+++ extensions/music_player/template/style/Pure_sky/lecteur.conf.php	(revision 6885)
@@ -0,0 +1,7 @@
+<?php
+$BACK_COLOR='0xffffff';
+$FRONT_COLOR='0x005E89';
+$LIGHT_COLOR='0x005E89';
+$STYLE_FILE='template/style/Pure_sky/lecteur.css';
+$TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
+?>
Index: extensions/music_player/template/style/Pure_sky/lecteur.css
===================================================================
--- extensions/music_player/template/style/Pure_sky/lecteur.css	(revision 6885)
+++ extensions/music_player/template/style/Pure_sky/lecteur.css	(revision 6885)
@@ -0,0 +1,135 @@
+#autre_content {
+	width:100%;
+	padding:0;
+	margin:0;
+}
+#content {
+	margin-left: auto;
+	margin-bottom:1em;
+	width:100%;
+	border:none;
+}
+#the_page {
+	width:100%;
+	border:none;
+}
+body {
+	min-width: inherit;
+	width:100%;
+}
+#cache {
+	padding:5px
+}
+#close_button {
+	display:block;
+	float:right;
+}
+#table_content {
+	padding:15px;
+}
+#section_up {
+	padding-top:5px;
+	text-align:right;
+}
+#section_up A {
+	text-decoration:none;
+	border:none;
+}
+#copyright {
+	margin-left:5%;
+	margin-right:5%;
+}
+
+/* text color */
+BODY, H1, H2, H3, DT,
+INPUT.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
+  color:#454545;	/* dimgray */
+}
+
+
+/* links */
+A {
+    color: #005e89;
+    background: transparent;
+}
+
+A:hover {
+    color: #696969;
+}
+/* backgrounds */
+BODY, #autre_content, #content, .content, #the_page {
+	background:none!important;
+}
+/* backgrounds */
+BODY {
+	background-image: url(images/ciel_003.jpg)!important;
+	background-color: #4C9BDE!important;
+	background-position: top;
+	background-repeat: repeat-x;
+}
+#admin_content, #autre_content, .row1 {
+	background-image: url(images/background5.jpg);
+	background-position:center;
+	background-repeat:repeat-y;
+	background-color:#a8d7eb;
+}
+
+/* backgrounds menu */
+
+#section_up_right {
+	background-image: url(images/c2_haut_droit.png);
+	background-position:bottom left;
+	background-repeat:no-repeat;
+	width:15px;
+	 height:32px;
+}
+#section_up_left {
+	background-image: url(images/c2_haut_gauche.png);
+	background-position:bottom right;
+	background-repeat:no-repeat;
+	width:15px;
+	 height:32px;
+}
+#section_up {
+ background-image: url(images/c2_haut_milieu.jpg);
+ background-position:bottom;
+ background-repeat:repeat-x;
+	 height:32px;
+}
+
+#section_in {
+	background-color: #FFFFFF;
+}
+#section_left {
+ background-image: url(images/milieu_gauche.jpg);
+ background-position:right;
+ background-repeat:repeat-y;
+	width:15px;
+}
+ #section_right {
+ background-image: url(images/milieu_droit.jpg);
+ background-position:left;
+ background-repeat:repeat-y;
+	width:15px;
+	background-color:transparent;
+}
+#section_bottom_right {
+ background-image: url(images/c2_bas_droit.png);
+ background-position:top left;
+ background-repeat:no-repeat;
+ width:15px;
+ height:15px;
+}
+#section_bottom_left {
+ background-image: url(images/c2_bas_gauche.png);
+ background-position:top right;
+ background-repeat:no-repeat;
+ width:15px;
+ height:15px;
+}
+#section_bottom {
+ background-image: url(images/c2_bas_milieu.jpg);
+ background-position:top;
+ background-repeat:repeat-x;
+  height:15px;
+}
Index: extensions/music_player/template/style/Pure_tr_clear_blue/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/Pure_tr_clear_blue/lecteur.conf.php	(revision 6885)
+++ extensions/music_player/template/style/Pure_tr_clear_blue/lecteur.conf.php	(revision 6885)
@@ -0,0 +1,7 @@
+<?php
+$BACK_COLOR='0xffffff';
+$FRONT_COLOR='0x005E89';
+$LIGHT_COLOR='0x005E89';
+$STYLE_FILE='template/style/Pure_tr_clear_blue/lecteur.css';
+$TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
+?>
Index: extensions/music_player/template/style/Pure_tr_clear_blue/lecteur.css
===================================================================
--- extensions/music_player/template/style/Pure_tr_clear_blue/lecteur.css	(revision 6885)
+++ extensions/music_player/template/style/Pure_tr_clear_blue/lecteur.css	(revision 6885)
@@ -0,0 +1,124 @@
+#autre_content
+{
+width:100%;
+padding:0;
+margin:0;
+}
+#content
+{
+margin-left: auto;
+margin-bottom:1em;
+width:100%;
+border:none;
+  }
+#the_page
+{
+width:100%;
+border:none;
+  }
+body {
+min-width: inherit;
+width:100%;
+}
+#cache
+{
+padding:5px
+}
+#close_button
+{
+	margin-right:10px;
+	margin-left:90%;
+}
+#table_content
+{
+	padding:15px;
+}
+#section_up
+{
+	padding-top:5px;
+	text-align:right;
+}
+#section_up A
+{
+	text-decoration:none;
+	border:none;
+}
+
+BODY
+{
+color:#696969;
+font-family:"Lucida Grande",Tahoma,Arial,Verdana,sans-serif;
+}
+/* links */
+A, INPUT.rateButton {
+    color: #005e89;
+    background: transparent;
+}
+
+A:hover, INPUT.rateButton:hover {
+    color: #858460;
+}
+
+
+
+/* backgrounds */
+BODY, #autre_content, #content, .content, #the_page {
+	background:none!important;
+}
+/* backgrounds */
+BODY {
+	background-image: url(images/background6.jpg)!important;/* aussi/also eau_001.jpg */
+	background-position:center;
+	background-repeat:repeat-y;
+	background-color:#b4e2ef!important;
+}
+
+#section_up_right{
+ background-image: url(images/content_top_right.png);
+ background-repeat:no-repeat;
+ background-position:left bottom;
+ width:22px;
+ height:14px;
+}
+#section_up_left{
+ background-image: url(images/content_top_left.png);
+  background-position:right bottom;
+  background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_up{
+ background-image: url(images/content_top_backg.jpg);
+   background-position:bottom;
+   background-repeat: repeat-x;
+   height:14px;
+}
+
+#section_in, #section_right, #section_left {
+	background-image: url(images/content_backg.jpg)!important;
+	background-repeat:repeat-x;
+	background-position:top;
+	background-color:#c4cbd3;
+}
+
+#section_bottom_right{
+ background-image: url(images/content_bottom_right.png);
+ background-position:left top;
+ background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_bottom_left{
+ background-image: url(images/content_bottom_left.png);
+ background-position:right top;
+ background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_bottom{
+ background-image: url(images/content_bottom_backg.jpg);
+ background-position:top;
+   background-repeat: repeat-x;
+  height:14px;
+}
+
Index: extensions/music_player/template/style/Pure_tr_green_nature/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/Pure_tr_green_nature/lecteur.conf.php	(revision 6885)
+++ extensions/music_player/template/style/Pure_tr_green_nature/lecteur.conf.php	(revision 6885)
@@ -0,0 +1,7 @@
+<?php
+$BACK_COLOR='0x3f540f';
+$FRONT_COLOR='0xffffff';
+$LIGHT_COLOR='0xedf2f2';
+$STYLE_FILE='template/style/Pure_green_nature/lecteur.css';
+$TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
+?>
Index: extensions/music_player/template/style/Sylvia/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/Sylvia/lecteur.conf.php	(revision 6885)
+++ extensions/music_player/template/style/Sylvia/lecteur.conf.php	(revision 6885)
@@ -0,0 +1,7 @@
+<?php
+$BACK_COLOR='0x2b2b2b';
+$FRONT_COLOR='0xFF7700';
+$LIGHT_COLOR='0xfb3558';
+$STYLE_FILE='template/style/Sylvia/lecteur.css';
+$TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
+?>
Index: extensions/music_player/template/style/Sylvia/lecteur.css
===================================================================
--- extensions/music_player/template/style/Sylvia/lecteur.css	(revision 6885)
+++ extensions/music_player/template/style/Sylvia/lecteur.css	(revision 6885)
@@ -0,0 +1,50 @@
+#autre_content
+{
+width:100%;
+padding:0;
+margin:0;
+}
+#content
+{
+margin-left: auto;
+margin-bottom:1em;
+width:100%;
+border:none;
+  }
+#the_page
+{
+width:100%;
+border:none;
+  }
+body {
+min-width: inherit;
+width:100%;
+}
+#cache
+{
+padding:5px
+}
+#close_button
+{
+	margin-right:10px;
+	margin-left:90%;
+}
+#table_content
+{
+	padding:15px;
+}
+#section_up
+{
+	padding-top:5px;
+	text-align:right;
+}
+#section_up A
+{
+	text-decoration:none;
+	border:none;
+}
+/* backgrounds */
+#autre_content, #content, .content, #the_page
+{
+	background:none!important;
+}
Index: extensions/music_player/template/style/clear/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/clear/lecteur.conf.php	(revision 6885)
+++ extensions/music_player/template/style/clear/lecteur.conf.php	(revision 6885)
@@ -0,0 +1,7 @@
+<?php
+$BACK_COLOR='0xffffff';
+$FRONT_COLOR='0x005E89';
+$LIGHT_COLOR='0x005E89';
+$STYLE_FILE='template/style/default.css';
+$TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
+?>
Index: extensions/music_player/template/style/default/lecteur.tpl
===================================================================
--- extensions/music_player/template/style/default/lecteur.tpl	(revision 6885)
+++ extensions/music_player/template/style/default/lecteur.tpl	(revision 6885)
@@ -0,0 +1,81 @@
+{html_head}<link rel="stylesheet" type="text/css" href="{$STYLE_FILE}">{/html_head}
+{html_head}<script type="text/javascript" src="./player/swfobject.js"></script>{/html_head}
+{html_head}<script type="text/javascript">
+{literal}
+
+	function loadFile(obj) { thisMovie("playlist").loadFile(obj); };
+	// This is a javascript handler for the player and is always needed.
+	function thisMovie(movieName) {
+	    if(navigator.appName.indexOf("Microsoft") != -1) {
+			return window[movieName];
+		} else {
+			return document[movieName];
+		}
+	};
+{/literal}
+
+</script>{/html_head}
+
+{if $conf_plugin_1!='true' }
+{html_head}<style type="text/css">{literal}
+#theHeader
+{
+display:none;
+}
+{/literal}</style>{/html_head}
+{/if}
+{if $conf_plugin_2!='true' }
+{html_head}<style type="text/css">{literal}
+
+#copyright
+{
+display:none;
+}	
+	  </style>{/literal}{/html_head}
+{/if}
+
+<div id="content" class="content">
+	<div class="titrePage">
+        <div id="montre" style="display:block" align="center">
+          <a href="javascript:void(0)" onclick="document.getElementById('montre').style.display ='none';document.getElementById('cache').style.display ='block'">{'mp_montre'|@translate}</a>
+        </div>
+        <div id="cache" style="display:none" align="center">
+          <a href="javascript:void(0)" onclick="document.getElementById('montre').style.display ='block';document.getElementById('cache').style.display ='none'">{'mp_cache'|@translate}</a><br />
+          <ul>
+          {foreach from=$playlist item=playlist}<!-- BEGIN playlist -->
+            <li><a href="javascript:void(0)" onclick="javascript:loadFile({literal}{{/literal}file:'{$playlist.URL}'{literal}}{/literal})" >{$playlist.TEXTE}</a></li>
+          {/foreach}<!-- END playlist -->
+          </ul>
+        </div>
+  </div>
+  <div id="close_button"><a href="#" onclick="window.close();" title="{'Close this window'|@translate}"><img src="template/icon/exit.png" class="button" alt="close"></a></div>
+  <div align="center" id="player">
+<script type="text/javascript">
+	var so = new SWFObject("player/mp3player.swf", "playlist", "{$L_TT}", "{$H_TT}", "7");
+	so.addVariable("file","{$URL}");
+	so.addVariable("autostart","{$AUTOSTART}"); 
+
+	so.addVariable("enablejs","true");
+	so.addVariable("javascriptid","playlist");
+	so.addVariable('backcolor','{$BACK_COLOR}');
+	so.addVariable('frontcolor','{$FRONT_COLOR}');
+	so.addVariable('lightcolor','{$LIGHT_COLOR}');
+	so.addVariable('linktarget','_blank');
+    so.addParam("allowfullscreen","true");
+	so.addParam("allowscriptaccess","always"); 
+
+	so.addVariable("repeat","{$REPEAT}");
+	so.addVariable("shuffle","{$SHUFFLE}"); 
+	so.addVariable("autoscroll","{$AUTOSCROLL}"); 
+ 
+	so.addVariable('displayheight','{$H}'); <!--Attention hauteur de la playlist !  -->
+	so.addVariable('displaywidth','{$L}');<!--Attention largeur de la miniature !  -->
+
+		
+
+	so.write("player");
+</script></div>
+</div> <!-- the_page -->
+
+</body>
+</html>
Index: extensions/music_player/template/style/flop_mauve/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/flop_mauve/lecteur.conf.php	(revision 6885)
+++ extensions/music_player/template/style/flop_mauve/lecteur.conf.php	(revision 6885)
@@ -0,0 +1,7 @@
+<?php
+$BACK_COLOR='0x360041';
+$FRONT_COLOR='0xffffff';
+$LIGHT_COLOR='0xe8e3dc';
+$STYLE_FILE='template/style/default.css';
+$TPL_FILE=$m_p->plugin_path.'template/style/default.tpl';
+?>