Index: /extensions/Autosize/admin/admin_autosize.php
===================================================================
--- /extensions/Autosize/admin/admin_autosize.php	(revision 6912)
+++ /extensions/Autosize/admin/admin_autosize.php	(revision 6913)
@@ -44,10 +44,10 @@
                 $my_base_url.'&amp;tab=autosize_admin'
 			   );
-		   
+/*		   
 $tabsheet->add( 'autosize_content',
                 l10n('content'),
                 $my_base_url.'&amp;tab=autosize_content'
 			   );
-			   
+*/			   
 			   
 			   
@@ -134,5 +134,5 @@
 	 
    if (isset($_POST['submit']))  {  
-	  if ($_POST['submit'] == l10n('Save'))  {  
+	  if ($_POST['submit'] == l10n('cl_autosize_save'))  {  
 	         cl_autosize_sauve_options_inf() ;
 		     unset($_POST); 
@@ -145,5 +145,5 @@
  include (AUTOSIZE_PATH."include/affiche.php"); 	 	 
 //================================================================================
-
+$base_url = get_root_url().'admin_autosize.php';
 switch ($page['tab'])
  {
@@ -151,4 +151,6 @@
 
     $template->set_filenames(array('plugin_admin_content' => realpath(AUTOSIZE_PATH . 'admin/template/admin.tpl')));
+
+ 
     $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
     break; 
Index: /extensions/Autosize/admin/template/admin.tpl
===================================================================
--- /extensions/Autosize/admin/template/admin.tpl	(revision 6912)
+++ /extensions/Autosize/admin/template/admin.tpl	(revision 6913)
@@ -61,62 +61,61 @@
   <table id="table0" style=" background:none;border:outset;width:90%; z-index:-500 " >
     <fieldset>
-  	<legend>{'cl_config_title'|@translate}</legend>
-        <td>{'User status'|@translate}</td><td>{'height'|@translate}</td><td>{'width'|@translate}</td>
+  	<legend class="cluetip" title="{'cl_autosize_config_title_1'|@translate}|{'cl_autosize_hlp_line1'|@translate}">{'cl_autosize_config_title_1'|@translate}</legend>
+        <td>{'User status'|@translate}</td><td>{'cl_autosize_height'|@translate}</td><td style="visibility:hidden">{'width'|@translate}</td>
         <tr>
         <td>{'user_status_webmaster'|@translate}</td>
         <td><input name="webmaster_height" id="Text7" type="text"  value ="{$webmaster_height}" /></td>
-        <td><input name="webmaster_width" id="Text8" type="text"  value ="{$webmaster_width}" /></td>
+        <td style="visibility:hidden"><input name="webmaster_width" id="Text8" type="text"  value ="{$webmaster_width}" /></td>
         </tr>
         <tr>
         <td>{'user_status_admin'|@translate}</td>
         <td><input name="admin_height" id="admin_height" type="text"  value ="{$admin_height}" /></td>
-        <td><input name="admin_width" id="admin_width" type="text"  value ="{$admin_width}" /></td>
+        <td style="visibility:hidden"><input name="admin_width" id="admin_width" type="text"  value ="{$admin_width}" /></td>
         </tr>
         <tr>
         <td>{'user_status_generic'|@translate}</td>
         <td><input name="generic_height" id="Text1" type="text"  value ="{$generic_height}" /></td>
-        <td><input name="generic_width" id="Text2" type="text"  value ="{$generic_width}" /></td>
+        <td style="visibility:hidden"><input name="generic_width" id="Text2" type="text"  value ="{$generic_width}" /></td>
         </tr>
         <tr>
         <td>{'user_status_guest'|@translate}</td>
         <td><input name="guest_height" id="Text3" type="text"  value ="{$guest_height}" /></td>
-        <td><input name="guest_width" id="Text4" type="text"  value ="{$guest_width}" /></td>
+        <td style="visibility:hidden"><input name="guest_width" id="Text4" type="text"  value ="{$guest_width}" /></td>
         </tr>
         <tr>
         <td>{'user_status_normal'|@translate}</td>
         <td><input name="normal_height" id="Text5" type="text"  value ="{$normal_height}" /></td>
-        <td><input name="normal_width" id="Text6" type="text"  value ="{$normal_width}" /></td>
+        <td style="visibility:hidden"><input name="normal_width" id="Text6" type="text"  value ="{$normal_width}" /></td>
         </tr>
 
   </fieldset>
   </table>
-
+<br />
  <table id="table_d" style=" background:none;border:outset;width:90%; z-index:-500 " >
    <fieldset>
-  	<legend>{'cl_config_title'|@translate}</legend>
+  	<legend class="cluetip" title="{'cl_autosize_config_title_2'|@translate}|{'cl_autosize_hlp_line2'|@translate}">{'cl_autosize_config_title_2'|@translate}</legend>
  
     <!--======== Dimensions HL ===================-->	
     <tr> 
-      <td class="cluetip" title="{'miniheight'|@translate}" >{'minimum height'|translate}</td>
-      <td ><input name="mini_height" id="mini_height" type="text"  value ="{$MINI_HEIGHT}" /> {$unit_h} 
-           <input type="checkbox" name="check_auto_h" value="on"  {$check_auto_h}  /> {'automatique'|translate}</td> 
+      <td class="cluetip" title="{'cl_autosize_miniheight'|@translate}|{'cl_autosize_hlp_line3'|@translate}" >{'cl_autosize_miniheight'|translate}</td>
+      <td ><input name="mini_height" id="mini_height" type="text"  value ="{$MINI_HEIGHT}" /> px 
+           </td> 
 	 
-     <td class="cluetip" title="{'miniwidth'|translate}"  > {'minimum width'|translate}</td>
+     <td class="cluetip" title="{'cl_autosize_miniwidth'|translate}|{'cl_autosize_hlp_line3'|@translate}"  > {'cl_autosize_miniwidth'|translate}</td>
    <td  >
-    <input name="mini_width"  id="mini_width" type="text" value =  "{$MINI_WIDTH}" /> {$unit_w}
-    <input type="checkbox" name="check_auto_w" value="on"  {$check_auto_w}  /> {'automatique'|translate}</td>
-   </tr>
+    <input name="mini_width"  id="mini_width" type="text" value =  "{$MINI_WIDTH}" /> px
+       </tr>
    <!--======== Positions  ===================-->	
 <tr >
- <td class="cluetip" title="{'echelle_max'|translate}" > {'echelle_max'|translate}</td>
+ <td class="cluetip" title="{'cl_autosize_echelle_max'|translate}|{'cl_autosize_hlp_line4'|@translate}" > {'cl_autosize_echelle_max'|translate}</td>
  <td  >
- <input name="echelle_max" id="echelle_max"  type="text" value ="{$ECHELLE_MAX}" /> {$unit_t}
- <input type="checkbox" name="check_auto_t" value="on"  {$check_auto_t}  /> {'automatique'|translate}</td>
+ <input name="echelle_max" id="echelle_max"  type="text" value ="{$ECHELLE_MAX}" /> 
+ </td>
  
 </tr>
 <!--=================== Bloc Alignement =============================-->	 
 <tr >  
-<td class="cluetip" title="{'marge_basse'|translate}" > {'marge_basse'|translate}</td>
-<td><input name="marge_basse" id="marge_basse"  type="text" value =  "{$MARGE_BASSE}" /></td>
+<td class="cluetip" title="{'cl_autosize_marge_basse'|translate}|{'cl_autosize_hlp_line5'|@translate}" > {'cl_autosize_marge_basse'|translate}</td>
+<td><input name="marge_basse" id="marge_basse"  type="text" value =  "{$MARGE_BASSE}" /> px</td>
 
 </tr>		  
@@ -131,5 +130,5 @@
   </table>
   <table>
-  <td><input name="submit" type="submit" value="{'Save'|@translate}" /></td>
+  <td><input name="submit" type="submit" value="{'cl_autosize_save'|@translate}" /></td>
 </table> 
 </form>
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 6912)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 6913)
@@ -6,10 +6,22 @@
     jQuery(window).resize(function (event, ui) {
         if (typeof (event) == 'undefined') return;
-        var Image = jQuery("#theImage").find("img");
-        if (Image.length == 0) return;
+        var Image = jQuery("#theImage").find("embed");
+        if (Image.length == 0) {
+
+            var Image = jQuery("#theImage").find("img");
+            if (Image.length == 0) return;
+        } else {
+            var TheImg = jQuery(Image).get(0);
+            img_height = TheImg.clientHeight;
+            img_width = TheImg.clientWidth;
+        }
         var TheImg = jQuery(Image).get(0);
+        
+        H00 = jQuery(TheImg).height();
+        W00 = jQuery(TheImg).width();
 
         var sel0 = jQuery(TheImg).position();
         if (!sel0) return;
+
         W0 = parseInt(img_width);
         if (W0 < mini_width) return;
@@ -26,6 +38,4 @@
 
 
-        H00 = jQuery(TheImg).height();
-        W00 = jQuery(TheImg).width();
 
         var Licence = jQuery("#theImage").find(".licencetag");
Index: /extensions/Autosize/language/fr_FR/lang.php
===================================================================
--- /extensions/Autosize/language/fr_FR/lang.php	(revision 6912)
+++ /extensions/Autosize/language/fr_FR/lang.php	(revision 6913)
@@ -2,36 +2,27 @@
 global $lang;
 $lang['cl_autosize_Howto']="Gestion affichage";
-$lang['cl_config_title'] ="parametres"  ;
-$lang['hlp_line1'] .= "Sélection de la categorie." ;
-$lang['hlp_line2'] .= "Sélectionnez dans cette catégorie, une ou plusieurs photos d'un même lieu." ;
-$lang['hlp_line3'] .= "Affiche les coordonnées de la première photo si elle est connue. "  ;
-$lang['hlp_line4'] .= "Annule la sélection.";  
-$lang['hlp_line5'] .= "Entrez le lieu à rechercher (ville,pays)"  ; 
 
-$lang['hlp_line6'] .= "Recherche sur Google map"; 
+$lang['cl_autosize_config_title_1'] ="Contrôle des valeurs maximales"  ;
 
-$lang['height']='Hauteur';
-$lang['width']='Largeur';
+$lang['cl_autosize_hlp_line1'] .= "Taille maximale de l'affichage en fonction du status de l'utilisateur.<br>
+Les valeurs sont définies en pourcentage(%) de la fenêtre où en pixel(px)." ;
+$lang['cl_autosize_height']='Hauteur';
+$lang['cl_autosize_width']='Largeur';
 
-$lang['displays %s on a map']='afficher %s sur la carte';
-$lang['opens %s in Google Earth']='Ouvre %s avec Google Earth (doit être installé sur votre PC)';
+$lang['cl_autosize_config_title_2'] ="Contrôle des valeurs minimales"  ;
+$lang['cl_autosize_hlp_line2'] .= "Taille minimum des photos, pour actionner le redimensionnement automatique." ;
+$lang['cl_autosize_miniheight']='Hauteur minimum';
+$lang['cl_autosize_miniwidth']='Largeur minimum';
 
-$lang['Go to']='Aller à';
+$lang['cl_autosize_hlp_line3'] .= "Si la taille de la photo à afficher est inférieure à cette valeur, le redimensionnement automatique sera inhibé. "  ;
 
-$lang['go to %s']='aller à %s';
-$lang['displays all images on a map']='affiche toutes les images sur la carte';
-$lang['Viewing']='Aperçu';
-$lang['Link to this page']='Lien vers cette page';
-$lang['Show all']='Présente tout';
-$lang['show all pictures around this location']='Présente toutes les images à proximité de ces coordonnées';
-$lang['Search a location...']='Rechercher un lieu...';
+$lang['cl_autosize_echelle_max'] .= "Echelle maximum.";  
+$lang['cl_autosize_hlp_line4'] .= "Si le rapport d'agrandissement (photo réelle/photo affichée) est supérieure à cette valeur, le redimensionnement automatique sera bloqué à cette valeur.";  
+ 
+$lang['cl_autosize_marge_basse'] .= "Marge inférieure.";
+$lang['cl_autosize_hlp_line5'] .= "Réserve inférieure, pour afficher la légende"; 
 
-$lang['Loading']='Chargement';
-$lang['Failed']='Echec';
+$lang['cl_autosize_save'] .= "Sauvegarde";
 
-$lang['Prev']='Préc';
-$lang['Next']='Suiv';
-$lang['out of %d']='sur %d';
-
-$lang['More pictures near this location']='Plus d\'images près de ce lieu';
+$lang['cl_autosize_save_config'] .= "Sauvegarde de la configuration.";
 ?>
Index: /extensions/Autosize/main.inc.php
===================================================================
--- /extensions/Autosize/main.inc.php	(revision 6912)
+++ /extensions/Autosize/main.inc.php	(revision 6913)
@@ -124,5 +124,5 @@
 {
 global $options,$infos_message,$conf,$autosize_parametres  ;
-$infos_message .=l10n("Save_config")."<br>";
+$infos_message .=l10n("cl_autosize_save_config")."<br>";
  $autosize_parametres=cl_autosize_Set_Options();
  