Index: extensions/user_tags/language/de_DE/description.txt
===================================================================
--- extensions/user_tags/language/de_DE/description.txt	(revision 6929)
+++ extensions/user_tags/language/de_DE/description.txt	(revision 6929)
@@ -0,0 +1,1 @@
+Das Plug-in erlaubt den Besuchern Tags zu den Bildern hinzuzufügen.
Index: extensions/user_tags/language/de_DE/help/index.php
===================================================================
--- extensions/user_tags/language/de_DE/help/index.php	(revision 6929)
+++ extensions/user_tags/language/de_DE/help/index.php	(revision 6929)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | User Tags  - a plugin for Piwigo                                      |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/user_tags/language/de_DE/help/readme.html
===================================================================
--- extensions/user_tags/language/de_DE/help/readme.html	(revision 6929)
+++ extensions/user_tags/language/de_DE/help/readme.html	(revision 6929)
@@ -0,0 +1,8 @@
+<h2>Dokumentation</h2>
+
+<h3>Benutzung</h3>
+<p>Wenn ein Benutzer die Erlaubnis hat Tags hinzuzufügen und diese auf den Bilderseiten angezeigt werden, dann kann er die zugehörigen Tags, durch klicken auf dem "Bearbeiten"-Symbol, bearbeiten.</p>
+
+<h3>Berechtigungen</h3>
+<p>Berechtigungen sind in Verbindung mit dem Benutzer-Status (Gast, Allgemein, Besucher, Administrator und Webmaster). Benutzer können eine Handlung (hinzufügen, löschen) durchführen, wenn sie einen Status haben das Gleich oder Bessere ist als den eingestellten Status.</p>
+<p>Die Benutzer dürfen ihre hinzugefügten Tags vor dem Updaten noch löschen, auch wenn Sie nicht möchten, dass die Benutzer diese löschen.</p>
Index: extensions/user_tags/language/de_DE/index.php
===================================================================
--- extensions/user_tags/language/de_DE/index.php	(revision 6929)
+++ extensions/user_tags/language/de_DE/index.php	(revision 6929)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | User Tags  - a plugin for Piwigo                                      |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/user_tags/language/de_DE/plugin.lang.php
===================================================================
--- extensions/user_tags/language/de_DE/plugin.lang.php	(revision 6929)
+++ extensions/user_tags/language/de_DE/plugin.lang.php	(revision 6929)
@@ -0,0 +1,37 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | User Tags  - a plugin for Piwigo                                      |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+$lang['Click to add tags'] = 'Klicken um Tags hinzuzufügen';
+$lang['Start to type'] = 'Beginnen Sie zu tippen';
+$lang['Update tags'] = 'Tags updaten';
+$lang['Tags updated'] = 'Tags wurden aktualisiert';
+$lang['Cancel'] = 'Löschen';
+
+// admin
+$lang['That plugin allow visitors to add tags to image.'] = 'Das Plug-in erlaubt den Besuchern Tags zu den Bildern hinzuzufügen.';
+$lang['You can choose which users (per status) can add and delete tags.'] = 'Sie können, durch den Status, auswählen welche Benutzer Tags hinzufügen und entfernen können.';
+$lang['Be careful, whatever the configuration value is, new tag can be deleted anyway'] = 'Seien Sie Vorsichtig, egal welche die Konfigurationswerte sind, neue Tags können trotzdem gelöscht werden';
+$lang['Who can add tags?'] = 'Wer darf die Tags hinzufügen?';
+$lang['Who can delete related tags?'] = 'Wer darf zugehörige Tags löschen?';
+
+$lang['Add permission updated'] = 'Erlaubnis hinzufügen aktualisiert';
+$lang['Delete permission updated'] = 'Erlaubnis entfernen aktualisiert';
+?>
Index: extensions/user_tags/language/es_ES/help/index.php
===================================================================
--- extensions/user_tags/language/es_ES/help/index.php	(revision 6929)
+++ extensions/user_tags/language/es_ES/help/index.php	(revision 6929)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | User Tags  - a plugin for Piwigo                                      |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/user_tags/language/es_ES/help/readme.html
===================================================================
--- extensions/user_tags/language/es_ES/help/readme.html	(revision 6929)
+++ extensions/user_tags/language/es_ES/help/readme.html	(revision 6929)
@@ -0,0 +1,9 @@
+<h2>Documentación</h2>
+
+<h3>Funcionamiento</h3>
+<p>Si un usuario tiene los derechos suficientes y si las pintadas son fijadas sobre la página " picture " entonces verá aparecer un icono seleccionable para editar las etiquetas de la imagen.</p>
+
+<h3>Permisos</h3>
+<p>Los permisos se definen sobre los estatutos usuarios (invitado, genérico, visitador, administrador, webmestre). Para que un usuario pueda efectuar la acción (añadido, supresión), debe tener un estatuto por lo menos igual al estatuto definido.</p>
+<p>Por ejemplo, si se define que sólo los usuarios que tendrán el estatuto visitante podrán añadir pintadas, entonces los usuarios que tienen  los estatuos invitado y genérico no podrán aumentar de etiquetas.</p>
+<p>El hecho de restringir los derechos sobre los que puede suprimir etiquetas agît sólo sobre la supresión de las etiquetas ya existentes. Si el usuario trata de añadir nuevas pintadas, podrá suprimirlos antes de actualizar.</p>
Index: extensions/user_tags/language/es_ES/plugin.lang.php
===================================================================
--- extensions/user_tags/language/es_ES/plugin.lang.php	(revision 6896)
+++ extensions/user_tags/language/es_ES/plugin.lang.php	(revision 6929)
@@ -23,4 +23,15 @@
 $lang['Start to type'] = 'Comience a golpear';
 $lang['Update tags'] = 'Actualizar las etiquetas';
+$lang['Tags updated'] = 'Las etiquetas han sido actualizadas';
 $lang['Cancel'] = 'Anular';
+
+// admin
+$lang['That plugin allow visitors to add tags to image.'] = 'Este plugin les permite a los visitadores de su galería añadir etiquetas a las imágenes.';
+$lang['You can choose which users (per status) can add and delete tags.'] = 'Usted puede definir cual tipo de usuario puede añadir / suprimir etiquetas.';
+$lang['Be careful, whatever the configuration value is, new tag can be deleted anyway'] = 'Atención, cualquiera que sea el valor de este parámetro de configuración, las nuevas etiquetas podrán ser suprimidas.';
+$lang['Who can add tags?'] = '¿Que puede añadir etiquetas?';
+$lang['Who can delete related tags?'] = '¿Quién puede suprimir las etiquetas ya atadas a una imagen?';
+
+$lang['Add permission updated'] = 'El permiso "añadido" ha sido actualizado';
+$lang['Delete permission updated'] = 'El permiso "supresión" ha sido actualizado';
 ?>
Index: extensions/user_tags/language/fr_FR/help/readme.html
===================================================================
--- extensions/user_tags/language/fr_FR/help/readme.html	(revision 6896)
+++ extensions/user_tags/language/fr_FR/help/readme.html	(revision 6929)
@@ -1,3 +1,3 @@
-<h2>Documenation</h2>
+<h2>Documentation</h2>
 
 <h3>Fonctionnement</h3>
@@ -6,4 +6,4 @@
 <h3>Permissions</h3>
 <p>Les permissions se définissent sur les statuts utilisateurs (invité, générique, visiteur, administrateur, webmestre). Pour qu'un utilisateur puisse effectuer l'action (ajout, suppression), il doit avoir un statut au moins égal au statut défini.</p>
-<p>Par exemple, si on définit que seuls les utilisateurs ayant le statut visiteur pourront ajouter des tags, alors les utilisateurs ayant les status invité et générique ne pourront pas ajouter de tags.</p>
+<p>Par exemple, si on définit que seuls les utilisateurs ayant le statut visiteur pourront ajouter des tags, alors les utilisateurs ayant les statuts invité et générique ne pourront pas ajouter de tags.</p>
 <p>Le fait de restreindre les droits sur qui peut supprimer des tags n'agît que sur la suppression des tags déjà existants. Si l'utilisateur essaie d'ajouter de nouveaux tags, il pourra les supprimer avant de mettre à jour.</p>
Index: extensions/user_tags/language/it_IT/description.txt
===================================================================
--- extensions/user_tags/language/it_IT/description.txt	(revision 6929)
+++ extensions/user_tags/language/it_IT/description.txt	(revision 6929)
@@ -0,0 +1,1 @@
+Consenta i visitatori ad aggiungere dei tag alle immagini.
Index: extensions/user_tags/language/it_IT/help/index.php
===================================================================
--- extensions/user_tags/language/it_IT/help/index.php	(revision 6929)
+++ extensions/user_tags/language/it_IT/help/index.php	(revision 6929)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | User Tags  - a plugin for Piwigo                                      |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/user_tags/language/it_IT/help/readme.html
===================================================================
--- extensions/user_tags/language/it_IT/help/readme.html	(revision 6929)
+++ extensions/user_tags/language/it_IT/help/readme.html	(revision 6929)
@@ -0,0 +1,8 @@
+<h2>Documentazione</h2>
+
+<h3>Uso</h3>
+<p>Se un utente ha il diritto di aggiungere i tag e i tag sono visibili sulla pagina delle foto, egli può modificare i tag correlati cliccando sull\'icona "modifica".</p>
+
+<h3>Autorizzazioni</h3>
+<p>Le autorizzazioni sono correlate  allo stato degli utenti (ospite, generico, utente, amministratore, webmaster). Gli utenti possono eseguire i processi (aggiungere, eliminare) se appartengono ad uno stato uguale o migliore a quello impostato nel plug-in.</p>
+<p>Gli utenti hanno la possibilità di eliminare i propri tag prima di aggiornare il pannello dei tag, anche se non ha negato nel plug-in la possibilità di eliminare i tag.</p>
Index: extensions/user_tags/language/it_IT/index.php
===================================================================
--- extensions/user_tags/language/it_IT/index.php	(revision 6929)
+++ extensions/user_tags/language/it_IT/index.php	(revision 6929)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | User Tags  - a plugin for Piwigo                                      |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/user_tags/language/it_IT/plugin.lang.php
===================================================================
--- extensions/user_tags/language/it_IT/plugin.lang.php	(revision 6929)
+++ extensions/user_tags/language/it_IT/plugin.lang.php	(revision 6929)
@@ -0,0 +1,37 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | User Tags  - a plugin for Piwigo                                      |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+$lang['Click to add tags'] = 'Premere per aggiungere dei tag';
+$lang['Start to type'] = 'Iniziare a digitare';
+$lang['Update tags'] = 'Aggiornare i tag';
+$lang['Tags updated'] = 'I tag sono stati aggiornati';
+$lang['Cancel'] = 'Cancellare';
+
+// admin
+$lang['That plugin allow visitors to add tags to image.'] = 'il plug-in consente ai visitatori di aggiungere dei tag alle immagini';
+$lang['You can choose which users (per status) can add and delete tags.'] = 'Lei può scegliere (tramite lo stato) quale utente possa aggiungere ed eliminare i tag.';
+$lang['Be careful, whatever the configuration value is, new tag can be deleted anyway'] = 'Attenzione qualunque sia il valore di configurazione, un nuovo tag può essere eliminato in qualsiasi momento';
+$lang['Who can add tags?'] = 'Chi può aggiungere i tag?';
+$lang['Who can delete related tags?'] = 'Chi può eliminare i tag?';
+
+$lang['Add permission updated'] = 'Aggiornato l\'aggiungere dell\'autorizzazione';
+$lang['Delete permission updated'] = 'Aggiornato l\'elimino dell\'autorizzazione';
+?>