Index: /extensions/adult_content/class.inc.php
===================================================================
--- /extensions/adult_content/class.inc.php	(revision 6939)
+++ /extensions/adult_content/class.inc.php	(revision 6940)
@@ -246,5 +246,5 @@
 		$block = $menu->get_block( 'mbAdultContent' );
 		$block->set_title(l10n('ac_title_choose'));
-		$block->template = $this->plugin_path.'template/'.$user['template'].'/choose.tpl';
+		$block->template = $this->get_template('choose.tpl');
 
 	  }
@@ -281,5 +281,5 @@
 		$block = $menu->get_block( 'mbAdultContent' );
 		$block->set_title(l10n('ac_title_menu_statut'));
-		$block->template = $this->plugin_path.'template/'.$user['template'].'/choose.tpl';
+		$block->template = $this->get_template('choose.tpl');
 
 	  }
Index: /extensions/adult_content/main.inc.php
===================================================================
--- /extensions/adult_content/main.inc.php	(revision 6939)
+++ /extensions/adult_content/main.inc.php	(revision 6940)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: adult_content
-Version: 2.1.1
+Version: 2.1.2
 Description: manage adult content / Gerer du contenu adulte
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=141
Index: /extensions/adult_content/template/OS_default/choose.tpl
===================================================================
--- /extensions/adult_content/template/OS_default/choose.tpl	(revision 6939)
+++ /extensions/adult_content/template/OS_default/choose.tpl	(revision 6940)
@@ -1,3 +1,3 @@
-<dt><img class="button" alt="{$AC_MSG}" src="{$pwg_root}template/yoga/icon/lost_password.png" />{'ac_title_menu_statut'|@translate}</dt>
+<dt><img class="button" alt="{$AC_MSG}" src="{$ROOT_URL}{$themeconf.icon_dir}/lost_password.png" />{'ac_title_menu_statut'|@translate}</dt>
 <dd>
   <ul>
Index: /extensions/adult_content/template/Pure_default/choose.tpl
===================================================================
--- /extensions/adult_content/template/Pure_default/choose.tpl	(revision 6939)
+++ /extensions/adult_content/template/Pure_default/choose.tpl	(revision 6940)
@@ -1,3 +1,3 @@
-<dt><img class="button" alt="{$AC_MSG}" src="{$pwg_root}template/yoga/icon/lost_password.png" />{'ac_title_menu_statut'|@translate}</dt>
+<dt><img class="button" alt="{$AC_MSG}" src="{$ROOT_URL}{$themeconf.icon_dir}/lost_password.png" />{'ac_title_menu_statut'|@translate}</dt>
 <dd>
   <ul>
Index: /extensions/adult_content/template/default/choose.tpl
===================================================================
--- /extensions/adult_content/template/default/choose.tpl	(revision 6939)
+++ /extensions/adult_content/template/default/choose.tpl	(revision 6940)
@@ -1,3 +1,3 @@
-<dt><img class="button" alt="{$AC_MSG}" src="{$pwg_root}template/yoga/icon/lost_password.png" />{'ac_title_menu_statut'|@translate}</dt>
+<dt><img class="button" alt="{$AC_MSG}" src="{$ROOT_URL}{$themeconf.icon_dir}/lost_password.png" />{'ac_title_menu_statut'|@translate}</dt>
 <dd>
   <ul>
Index: /extensions/adult_content/template/flop_mauve/choose.tpl
===================================================================
--- /extensions/adult_content/template/flop_mauve/choose.tpl	(revision 6939)
+++ /extensions/adult_content/template/flop_mauve/choose.tpl	(revision 6940)
@@ -1,3 +1,3 @@
-<dt><img class="button" alt="{$AC_MSG}" src="{$pwg_root}template/yoga/icon/lost_password.png" />{'ac_title_menu_statut'|@translate}</dt>
+<dt><img class="button" alt="{$AC_MSG}" src="{$ROOT_URL}{$themeconf.icon_dir}/lost_password.png" />{'ac_title_menu_statut'|@translate}</dt>
 <dd>
   <ul>
Index: /extensions/adult_content/template/gally-default/choose.tpl
===================================================================
--- /extensions/adult_content/template/gally-default/choose.tpl	(revision 6939)
+++ /extensions/adult_content/template/gally-default/choose.tpl	(revision 6940)
@@ -1,3 +1,3 @@
-<dt><img class="button" alt="{$AC_MSG}" src="{$pwg_root}template/yoga/icon/lost_password.png" />{'ac_title_menu_statut'|@translate}</dt>
+<dt><img class="button" alt="{$AC_MSG}" src="{$ROOT_URL}{$themeconf.icon_dir}/lost_password.png" />{'ac_title_menu_statut'|@translate}</dt>
 <dd>
   <ul>